Hail API
PATCH
/webhooks/{sub_id}

Path Parameters

sub_id*Sub Id
Formatuuid

Header Parameters

authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "target_url": "string",  "event_types": [    "string"  ],  "status": "active",  "consecutive_failures": 0,  "last_success_at": "2019-08-24T14:15:22Z",  "last_failure_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "secret": "string"}